﻿/*
Theme Name: child_themes
Theme URI: https://web-creative.studio/
Template: hello-elementor
Author: WebCreative
Author URI: https://web-creative.studio/
Version: 2.2.1.1572443540
Updated: 2023-01-30 13:52:20

*/

:focus {
    outline-style: none;
    outline-width: 0px !important;
    outline-color: none !important;
}

.grecaptcha-badge { 
    visibility: hidden;
}


.elementor-widget-text-editor ul,
.elementor-widget-text-editor ol,
.elementor-widget-theme-post-content ul,
.elementor-widget-theme-post-content ol {
    margin-bottom: 15px;
}

.ms {
    margin-top: 60px !important;
}

.elementor-button span {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
}

.accent {
    color: var(--e-global-color-accent);
}

/* Скрывать иконки соц. сетей в которых нет ссылок  */
.elementor-grid-item:has(a[href*="#"]):not(a[href*="#"]) {
    display: none;
}


::-webkit-scrollbar {
    background: var(--e-global-color-secondary);
    height: 6px;
}

::-webkit-scrollbar-thumb {
    background: var(--e-global-color-accent);
    border-radius: 7em;
}

/*WPML*/
.wpml-ls-statics-footer .wpml-ls-current-language>a,
.wpml-ls-statics-footer a {
    color: var(--e-global-color-text);
    background-color: var(--e-global-color-primary);
}

.wpml-ls-statics-footer .wpml-ls-current-language:hover>a,
.wpml-ls-statics-footer a:hover {
    color: var(--e-global-color-accent);
    background-color: var(--e-global-color-primary);
}

.pre-title {
    font-weight: 300;
}

.elementor-form-fields-wrapper.elementor-labels- input::placeholder {
    opacity: 1;
}

.bus-bread p {
    text-align: center;
    font-size: 14px;
    line-height: 20px;
    text-transform: uppercase;
}

.bus-bread a {
    color: #8A8A8A;
}

.bus-bread span.separator {
    color: var(--e-global-color-accent);
}

/*Кнопки*/
.bus-btn span.elementor-button-icon.elementor-align-icon-right,
.online-bron span.elementor-button-icon.elementor-align-icon-right,
.city-search span.elementor-button-icon.elementor-align-icon-right,
.list-bron i.jet-listing-dynamic-link__icon.icon.icon-noun-ticket-1988997-1 {
    background: var(--e-global-color-primary);
    width: 29px;
    height: 29px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    transition: background .3s ease;
}

.bus-btn:hover span.elementor-button-icon.elementor-align-icon-right,
.online-bron button:hover span.elementor-button-icon.elementor-align-icon-right,
.city-search button:hover span.elementor-button-icon.elementor-align-icon-right {
    background: var(--e-global-color-accent);
}



/*Отступы*/
.pt {
    padding-top: 80px;
    padding-bottom: 96px;
}

.mb-p p:last-child {
    margin-bottom: 0px;
}

/*Меню навигации*/
.main-menu a:after {
    display: block;
    position: absolute;
    left: 0;
    bottom: 0;
    width: 0;
    height: 2px;
    background-color: var(--e-global-color-accent);
    content: "";
    transition: width 0.3s ease-out;
}

.main-menu a:hover:after,
.main-menu a:focus:after {
    width: 100%;
}

.main-menu span.sub-arrow {
    font-size: 6px;
}


/*Иконки*/
i.icon.icon-telegram-4-1 {
    color: #039BE5;
}

i.icon.icon-whatsapp-3-1 {
    color: #7AD06D;
}

i.icon.icon-instagram-3-1-1 {
    color: #F44336;
}

i.icon.icon-facebook-1 {
    color: #385C8E;
}
i.icon.icon-tik-tok {
    color: rgba(255, 255, 255, .7);
}
/*Форма онлайн бронирования*/
.online-bron .elementor-form-fields-wrapper.elementor-labels- select {
    color: var(--e-global-color-primary);
    font-weight: 300;
    height: 54px;
}

.online-bron.elementor-field-type-date.elementor-field-group.elementor-column.elementor-field-group-datetravel.elementor-col-50.elementor-field-required,
.online-bron input#form-field-datetravel{
    height: 54px !important ;
}

.online-bron button.elementor-button.elementor-size-sm {
    margin-top: 20px;
}

.online-bron input#form-field-name,
.online-bron input#form-field-phone,
.online-bron input#form-field-datetravel,
.online-bron input#form-field-tickets,
.online-bron .flatpickr-mobile,
.online-bron input#form-field-cityfrom,
.online-bron input#form-field-citywhere{
    background-repeat: no-repeat;
    background-position: 9% 50%;
}

.online-bron input#form-field-name {
    background-image: url(../../uploads/2023/02/user-11-1.svg);
}

.online-bron input#form-field-phone {
    background-image: url(../../uploads/2023/02/phone-7.svg);
}

.online-bron input#form-field-datetravel, .online-bron .flatpickr-mobile {
    background-image: url(../../uploads/2023/02/calendar-9-1-1.svg);
}

.online-bron input#form-field-tickets {
    background-image: url(../../uploads/2023/02/car-5-1-1.svg);
}

.online-bron input#form-field-cityfrom,
.online-bron input#form-field-citywhere {
    background-image: url(../../uploads/2023/02/location-pin-2-1.svg);
}


input::-webkit-calendar-picker-indicator {
    display: none;
}

/*Новости*/
.news::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: 6px;
    padding: 1px;
    background: linear-gradient(
        180deg,
        #214F4500 0%,
        #26594E60 37%,
        #26574D 100%
    );

    /* WebKit (Chrome, Safari) */
    -webkit-mask:
        linear-gradient(#212121 0 0) content-box,
        linear-gradient(#212121 0 0);
    -webkit-mask-composite: xor;

    /* Standard (Firefox, future-proof) */
    mask:
        linear-gradient(#212121 0 0) content-box,
        linear-gradient(#212121 0 0);
    mask-composite: exclude;
}


span.post-views-icon.dashicons.dashicons-chart-bar,
span.post-views-label {
    display: none !important;
}

span.elementor-icon-list-icon {
    padding-top: 1px;
}

.margin-down {
    margin-top: auto;
}

/*Одинаковая высота листингов*/

.list-h.e-con-boxed.e-con {
    height: 100%;
}
.revers .elementor-icon-box-content{
    display: flex;
    flex-direction: column-reverse;
}
.revers .elementor-icon-box-title {
    margin-bottom: 0px;
    margin-top: 3px;
}
.revers a{
    transition: all .3s ease;
}
.revers a:hover{
    color:var(--e-global-color-text);
}
@media screen and (max-width:1024px) {
    .pt {
        padding-top: 50px;
        padding-bottom: 76px;
    }
}

@media screen and (max-width:767px) {
    .pt {
        padding-bottom: 50px;
    }

    #reys-list .elementor-widget-container>.jet-listing-grid>.jet-listing-grid__items,
    #main-reys .elementor-widget-container>.jet-listing-grid>.jet-listing-grid__items {
        justify-content: space-between;
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(280px, 1fr));

    }

    #reys-list .elementor-widget-container>.jet-listing-grid>.jet-listing-grid__items,
    #main-reys .elementor-widget-container>.jet-listing-grid>.jet-listing-grid__items {
        --columns: auto;
    }
}

input[type='date'] {
  -webkit-appearance: none !important;
     -moz-appearance: none !important;
          appearance: none !important;
}

 input[type="date"]::before { 
    	content: attr(data-placeholder);
    	width: 100%;
    }
    
    /* hide our custom/fake placeholder text when in focus to show the default
     * 'mm/dd/yyyy' value and when valid to show the users' date of birth value.
     */
    input[type="date"]:focus::before,
    input[type="date"]:valid::before { display: none }



    /* Стили для international-tel-input */
.iti--inline-dropdown .iti__dropdown-content {
	background:#333;
}

.iti--inline-dropdown .iti__dropdown-content {
  
    border: none !important;
}

.elementor-popup-modal .dialog-message {
    overflow: visible !important;
}

.iti__dropdown-content {
    background-color: #333 !important;
}